Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Atk::Document Class Reference

An AtkDocument C++ wrapper class. More...

`#include <inti/atk/document.h>`

Inheritance diagram for Inti::Atk::Document:

List of all members.

## Public Member Functions

Accessors

- AtkDocument * atk_document () const
    Get a pointer to the AtkDocument structure.
- AtkDocumentIface * atk_document_iface () const
    Get a pointer to the AtkDocumentIface structure.
- operator AtkDocument * () const
    Conversion operator; safely converts a Document to an AtkDocument pointer.
- String get_document_type () const
    Gets a string indicating the document type.
- void * get_document () const
    Gets a generic pointer that points to an instance of the DOM.

## Protected Member Functions

Constructors

- virtual ~Document ()=0
    Destructor.

## Detailed Description

An AtkDocument C++ wrapper class.

The Document interface should be supported by any object that has an associated document object model (DOM). This interface provides the standard mechanism allowing an assistive technology access to the DOM.

## Member Function Documentation

void* Inti::Atk::Document::get_document | ( |  | ) | const

| Gets a generic pointer that points to an instance of the DOM. Returns: A generic pointer that points to an instance of the DOM. It is up to the caller to check the GType by calling G::TypeInstance::type() to determine how to cast this pointer.

String Inti::Atk::Document::get_document_type | ( |  | ) | const

| Gets a string indicating the document type. Returns: A string indicating the document type.

The documentation for this class was generated from the following file:

- document.h

Main Page - Footer